Summary: CueCat Pluggable Authentication Module
Name: pam_cuecat
Version: 0.04
Release: 1
Source0: pam_cuecat-%{version}.tar.gz
Copyright: GPL
Group: System Environment/Base
BuildPrereq: pam
BuildRoot: %{_tmppath}/%{name}
Requires: pam

%description 
This is pam_cuecat, a pluggable authentication module that can be used with
CueCat barcode scanners from Digital Convergence. This module reads in a scan
and checks to see if that scan is valid for the user in question through
/etc/cuecatpasswd.

At this time, that file must be created manually, but in the future, this
package may include a cuecatpasswd utility to manage those barcode passwords.
This RPM does not touch any files in /etc/pam.d.

CueCat is a registered trademark of Digital Convergence.  This RPM does
not contain the required CueCat Linux device driver, which is available
at http://oss.lineo.com/cuecat/

%prep
%setup -q

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
install -m600 cuecatpasswd $RPM_BUILD_ROOT/etc/cuecatpasswd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/security/pam_cuecat.so
%attr(0600,root,root) %config(noreplace) /etc/cuecatpasswd
#/usr/man/man5/*
#/usr/man/man8/*
%doc README cuecatpasswd cuecat_driver-0.2.0-poll.patch cuecat_driver-0.2.1-poll-2.4.0-test10.patch

%changelog
* Sun Nov 05 2000 Steven Lawrance <slawrance@technologist.com>
- Cleaned up the code a lot and commented each section as I usually do
- Made sync reads the default and added the "sync" and "async" options
- Added the "noerr" option to disable error reporting
- Cleaned up the behavior of the "sense", "nowarn", and "onerr" options
- Added a patch for the 2.4.0 version of the CueCat kernel driver

* Sun Sep 24 2000 Steven Lawrance <slawrance@technologist.com>
- Added a patch for the CueCat kernel driver to allow async reads and polling
- Timeouts now work, assuming the CueCat driver is patched
- The scanner's buffer is now cleared before prompting for the scan
- An "infinite timeout" option now exists if timeout=0
- Timeout message changed to "Barcode Scan Timeout"
- RPM now requires "pam" to be installed for installation (not just for building)

* Sat Sep 23 2000 Steven Lawrance <slawrance@technologist.com>
- Creation of RPM
